[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTreeNodes.Delete

Removes the specified tree node from the container.

## Declaration

Source position: comctrls.pp line 3288

`public procedure TTreeNodes.Delete(`
`Node: TTreeNode`
`); virtual;`

## Arguments

`Node` |  | Tree node deleted in the method.

## Description

Delete calls the corresponding method in the tree node instance to physically remove the node from the container. If the internal update counter is 0 and a tree view control has been assigned in Owner, the tree view control is redrawn.

## See also

TTreeNode.Delete |  | Frees the current tree node when the Deleting property is not True.
TCustomTreeview.Invalidate |  | Causes the control to be redrawn when a redraw is not already in progress.